package com.huimv.eartag2.manage.service;

import com.huimv.eartag2.common.dao.entity.EartarFarmAllStatusEntity;
import com.huimv.eartag2.common.utils.Result;

import java.util.Map;

public interface ICacheService {

    Map getFarmAllStatusByFarmId(String farmId);

    //读取设备在线数量
    int getDeviceOnlineTotal(String farmId, String todayDateText);

    //读取耳标在线数量
    int getEartagOnlineTotal(String farmId, String todayDateText);

    //
    void putFarmAllStatusCache(String farmId, EartarFarmAllStatusEntity newFarmAllStatusEntity);
}
