package com.huimv.eartag2.device.service;

import com.alibaba.fastjson.JSONObject;

import java.text.ParseException;

public interface IDeviceService {
    //保存心跳数据
    void saveDeviceHeartbeat(JSONObject dataJo);
    //保存设备温度数据
    void saveDeviceTemp(JSONObject dataJo);
    //保存采集器上传的原始数据
    void saveRawdata(String askText) throws ParseException;

    //处理设备心跳数据
    void handleDeviceHeartbeat(JSONObject dataJo) throws ParseException;

    //处理设备环境温度数据
    void handleDeviceEnvtemp(JSONObject dataJo) throws ParseException;

    //根据设备编码获取牧场id
    String getFarmIdByDeviceCode(String deviceCode);

}
